#pragma once
#include "SDL2/SDL.h"
#include "DrawManager.h"
#include "InputManager.h"
#include "MusicManager.h"
#include "GameInfo.h"

class PrefaseController
{
public:
	PrefaseController(DrawManager *p_drawManager, InputManager *p_inputManager);
	~PrefaseController(void);

	bool Init();
	void Go(GameInfo *gameInfo);
	void Finalize(void);

private:
	const char *formatejar(const int numero);
	void CarregarMapa(const int numMapa);

	DrawManager *drawManager;
	InputManager *inputManager;

	SDL_Surface *fondo;
	SDL_Surface *cursor;
	SDL_Surface *font;

	int numArounders;
	int aroundersNec;
};
